# siginfo_t Struct Reference

`#include <OS_NS_signal.h>`

List of all members.

## Public Member Functions

| siginfo_t (ACE_HANDLE handle)
| siginfo_t (ACE_HANDLE *handles)

## Public Attributes

ACE_HANDLE | si_handle_
| Win32 HANDLE that has become signaled.
ACE_HANDLE * | si_handles_
| Array of Win32 HANDLEs all of which have become signaled.

## Constructor & Destructor Documentation

siginfo_t::siginfo_t | ( | ACE_HANDLE | handle | ) |

siginfo_t::siginfo_t | ( | ACE_HANDLE * | handles | ) |

## Member Data Documentation

ACE_HANDLE siginfo_t::si_handle_

| Win32 HANDLE that has become signaled.

ACE_HANDLE* siginfo_t::si_handles_

| Array of Win32 HANDLEs all of which have become signaled.

The documentation for this struct was generated from the following files:

- OS_NS_signal.h
- OS_NS_signal.cpp